[[ -n "$proj_root" ]] || { echo "**** missing setting 'proj_root'" >&2; exit 1; }

# Convenient aliases for the pipeline processors
scraping="${proj_root}/processors/scraping/run.sh"
data_aggregator="${proj_root}/processors/data-aggregator/run.sh"
clitools="${proj_root}/processors/common-cli-tools/run.sh"
job_ad_hash="${proj_root}/processors/job_ad_hash/run.sh"
add_id="${proj_root}/processors/add-id/run.sh"
detect_language="${proj_root}/processors/detect-language/run.sh"
add_application_deadline="${proj_root}/processors/add-application-deadline/run.sh"
add_jobad_enrichments_api_results="${proj_root}/processors/add-jobad-enrichments-api-results/run.sh"
filter_missing_fields="${proj_root}/processors/filter-missing-fields/run.sh"
add_municipality_from_place="${proj_root}/processors/add-municipality-from-place/run.sh"
remove_union_representatives_from_description="${proj_root}/processors/remove-union-representatives-from-description/run.sh"
mkreport="${proj_root}/processors/make-report/run.sh"
chat_notify="${proj_root}/processors/chat-notify/run.sh"
text_2_ssyk="${proj_root}/processors/text-2-ssyk/run.sh"
text2ssyk_bert="${proj_root}/processors/text2ssyk-bert/run.sh"
extract_brief_description="${proj_root}/processors/extract-brief-description/run.sh"
remove_description="${proj_root}/processors/remove-description/run.sh"
import_to_elastic="${proj_root}/processors/import-to-elastic/run.sh"
joblinks_importer="${proj_root}/processors/joblinks-importer/run.sh"
upload_logs_elastic="${proj_root}/processors/filebeat/run.sh"
date_processor="${proj_root}/processors/date-processor/run.sh"
ad_patcher="${proj_root}/processors/ad-patcher/run.sh"
rclone="${proj_root}/processors/rclone/run.sh"
af_report="${proj_root}/processors/job_ad_hash/stats.sh"
ingenjorsjobb_se="${proj_root}/processors/ingenjorsjobb.se/run.sh"
filter_for_import="${proj_root}/processors/sourcelinks-processor/run.sh"
